Skip to main content
PATCH
/
deals
/
{id}
Update a deal
curl --request PATCH \
  --url https://api.heffl.com/api/v1/deals/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "<string>",
  "price": 123,
  "stageId": "<string>",
  "status": "ACTIVE",
  "priority": "LOW",
  "sourceId": "<string>",
  "expectedCloseDate": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "title": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "number": "<string>",
  "price": 123,
  "status": "<string>",
  "priority": "<string>",
  "expectedCloseDate": "2023-11-07T05:31:56Z",
  "clientId": "<string>",
  "pipelineId": "<string>",
  "stageId": "<string>",
  "sourceId": "<string>",
  "leadId": "<string>",
  "customFields": {}
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours at app.heffl.com/settings/developers

Path Parameters

id
string
required

Deal public ID

Body

application/json
title
string

Deal title

price
number

Deal value/price

stageId
string

Pipeline stage public ID

status
enum<string>

Deal status (ACTIVE, WON, LOST)

Available options:
ACTIVE,
WON,
LOST
priority
enum<string>

Deal priority

Available options:
LOW,
MEDIUM,
HIGH
sourceId
string

Deal source public ID

expectedCloseDate
string<date-time>

Expected close date

{key}
any

Response

200 - application/json

OK

id
string
required

Deal public ID

title
string
required

Deal title

createdAt
string<date-time>
required

When the deal was created

number
string | null

Auto-generated deal number

price
number | null

Deal price/value

status
string | null

Deal status

priority
string | null

Deal priority

expectedCloseDate
string<date-time> | null

Expected close date

clientId
string | null

Client public ID

pipelineId
string | null

Pipeline public ID

stageId
string | null

Pipeline stage public ID

sourceId
string | null

Deal source public ID

leadId
string | null

Lead public ID

customFields
object

Custom field values